import path from 'path';
export const STORE_CONFIG = 'store.config.json';
export const BUILD_DIR = path.join('build', process.env.EPCC_ENV);
export const DATA_DIR = path.join('data', process.env.EPCC_ENV);
export const STORE_CONFIG_SOURCE = path.join(DATA_DIR, 'store', STORE_CONFIG);
export const CONFIG_INTEGRATION_DEST = path.join(BUILD_DIR, 'config_common_integrations.json');
export const CONFIG_CURRENCIES_DEST = path.join(BUILD_DIR, 'config_common_currencies.json');
export const CONFIG_CATALOGS_DEST = path.join(BUILD_DIR, 'config_common_catalogs.json');
export const CONFIG_FLOWS_DEST = path.join(BUILD_DIR, 'config_common_flows.json');
export const CONFIG_CATALOG_RULES_DEST = path.join(BUILD_DIR, 'config_common_catalog_rules_entries.json');
export const CONFIG_FLOW_ENTRIES_DEST = path.join(BUILD_DIR, 'config_common_flow_entries.json');
export const CONFIG_HIERARCHIES_DEST = path.join(BUILD_DIR, 'config_common_hierarchies.json');
export const CONFIG_PRICEBOOKS_DEST = path.join(BUILD_DIR, 'config_common_pricebooks.json');
export const CONFIG_VARIATIONS_DEST = path.join(BUILD_DIR, 'config_common_variations.json');
export const CONFIG_DEST_FILE = path.join(BUILD_DIR, STORE_CONFIG);
export const CONFIG_MERGE_DIR = path.join(BUILD_DIR, 'merge');
export const CONFIG_MERGE_FILE = path.join(CONFIG_MERGE_DIR, STORE_CONFIG);
