/// <reference types="grunt" />
import { EpccGruntFeature } from '../types';
export declare class Replace implements EpccGruntFeature {
    getGruntConfig(): {
        replace: {
            loader_trigger_body: {
                options: {
                    patterns: {
                        match: string;
                        replacement: string;
                    }[];
                };
                files: {
                    expand: boolean;
                    flatten: boolean;
                    src: string[];
                    dest: string;
                }[];
            };
            store_config: {
                options: {
                    patterns: never[];
                };
                files: {
                    expand: boolean;
                    flatten: boolean;
                    src: string[];
                    dest: string;
                }[];
            };
        };
    };
    registerTasks(grunt: IGrunt): void;
}
