"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initGruntConfig = void 0;
const grunt_features_1 = require("./grunt-features");
function initGruntConfig(grunt, clientProjectFeatures) {
    const allFeatures = (0, grunt_features_1.getOotbFeatures)().concat(clientProjectFeatures);
    grunt.initConfig({});
    for (const feature of allFeatures) {
        grunt.config.merge(feature.getGruntConfig(grunt));
        feature.registerTasks(grunt);
    }
}
exports.initGruntConfig = initGruntConfig;
