import { CONFIG_MERGE_FILE } from '../constants';
export class RegexReplace {
    getGruntConfig() {
        return {
            'regex-replace': {
                store_config: {
                    src: CONFIG_MERGE_FILE,
                    dest: CONFIG_MERGE_FILE,
                    actions: [
                        {
                            name: 'webhooks',
                            search: /%(WEBHOOK_(.*)_URL)%/,
                            replace: function (arg1) {
                                const envvar = arg1.replaceAll('%', '');
                                console.log(`replace ${arg1} with process.env[${envvar}]`);
                                return process.env[envvar] ? process.env[envvar] : arg1;
                            },
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-regex-replace');
    }
}
